Sound Signals

Signals:

- playing-sound-event

See also
  sound.h

# playing-sound-event

gboolean (*playing_sound_event)(PurpleSoundEventID event, PurpleAccount *account);

Description:
  Emitted when libpurple is going to play a sound event. This can be used to cancel playing sound by returning TRUE.

Parameters

  event | The event this sound represents.
  account | The account the sound is being played for.

Returns
  `TRUE` if the sound should not be played, or `FALSE` otherwise.